package com.persagy.apm.dmpalarm.client;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.apm.dmpalarm.criteria.JsonCriteria;
import com.persagy.apm.dmpalarm.web.PagedResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @description:
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/26 2:04 下午
 * @version: V1.0
 **/
@Slf4j
@Component
public class PhysicalWorldFallBackFactory implements FallbackFactory<PhysicalWorldClient> {

    @Override
    public PhysicalWorldClient create(Throwable cause) {
        return new PhysicalWorldClient() {
            @Override
            public PagedResponse<ObjectNode> queryObj(String projectId, String groupCode, JsonCriteria criteria) {
                log.error("物理世界接口请求失败，url: {}, projectId: {}, requestBody: {}", "/instance/object/query", projectId, criteria);

                return null;
            }
        };
    }
}
